Unit taeh5r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEH5R_p;

function taeh5r: String;

implementation

function taeh5r: String;
var
_i,J,I,IERR :Integer;
EV :Array [0..3] of Real;
R :Array [0..11] of Real;
V :Array [0..15] of Real;
const
A :Array [0..9] of Real = ( 43.0,0.0,68.0,0.0,24.0,82.0,24.0,0.0,0.0,57.0 );
begin
Result := '';  {   }
AEH5R(4,10,A,EV,V,R,IERR);
Result := Result + Format('%s',['  IERR=']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',['  EV=']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[EV[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   V=' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[V[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('taeh5r',Result);  {     taeh5r.res }
exit;
end;

end.
